happstack-server-7.9.3: Web related tools and services.

Safe Haskell | None
Language | Haskell2010

Happstack.Server.Internal.Handler

Synopsis

- request :: TimeoutIO -> Maybe (LogAccess UTCTime) -> Host -> (Request -> IO Response) -> IO ()
- parseResponse :: ByteString -> Either String Response
- putRequest :: Handle -> Request -> IO ()

# Documentation

request :: TimeoutIO -> Maybe (LogAccess UTCTime) -> Host -> (Request -> IO Response) -> IO () Source #

parseResponse :: ByteString -> Either String Response Source #

Unserializes the bytestring into a response. If there is an error it will return `Left msg`.

putRequest :: Handle -> Request -> IO () Source #

Serializes the request to the given handle